package jp.ac.kyutech.mns.ist.filter;

import java.awt.Color;

import jp.ac.kyutech.mns.ist.ShortStroke;
import edu.umd.cs.piccolo.event.PBasicInputEventHandler;
import edu.umd.cs.piccolo.event.PInputEvent;


public class Event_onSS extends PBasicInputEventHandler {
	ShortStroke ss;
	Color baseColor;
	float trans;
	public Event_onSS(ShortStroke _region){
		ss = _region;
		baseColor = ss.getColor();
		trans = ss.getTransparency();
	}
	public void mouseClicked(final PInputEvent aEvent) {
//		ss.print_metrics();
	}
	public void mouseEntered(final PInputEvent aEvent) {
//		ss.calcMetrics();
//		ss.setStrokePaint(Color.red);
//		ss.setTransparency(0.7f);
//		ss.print_metrics2();
	}
	public void mouseExited(final PInputEvent aEvent){
//		ss.setStrokePaint(baseColor);
//		ss.setTransparency(trans);
	}
}
